#include <bits/stdc++.h>

using namespace std;

long long n, m;

int main(){
    cin >> m >> n;
    long long ans = 0;
    for(int i = 2; i <= m; i ++){
        ans += n * i;
    }
    cout << ans + m * (n * (n + 1) / 2 + 1);
}
